Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.util
Class CategoryBag

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.util.CategoryBag

All Implemented Interfaces:
  java.io.Serializable

public class CategoryBag
extends UDDIElement

Represents the categoryBag element within the UDDI version 2.0 schema. This class contains the following types of methods:

- A constructor that passes the required fields.
- A Constructor that will instantiate the object from an appropriate XML DOM element.
- Get/set methods for each attribute that this element can contain.
- A get/setVector method is provided for sets of attributes.
- A SaveToXML method that serializes this class within a passed in element.

Typically, this class is used to construct parameters for, or interpret responses from, methods in the UDDIProxy class.

Element description:

Service element. Used in searching and categorization.

Author:
  David Melgar (dmelgar@us.ibm.com), Ozzy (ozzy@hursley.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`CategoryBag()` Default constructor.
`CategoryBag(org.w3c.dom.Element base)` Construct the object from a DOM tree.

Method Summary
`void` | `add(KeyedReference kr)` Add a keyed reference to this collection
`KeyedReference` | `get(int index)` Retrieve the object at the specified index within the collection.
`java.util.Vector` | `getKeyedReferenceVector()` Get keyedReference
`boolean` | `remove(KeyedReference kr)` Remove the specified object from the collection.
`void` | `saveToXML(org.w3c.dom.Element parent)` Save an object to the DOM tree.
`void` | `setKeyedReferenceVector(java.util.Vector s)` Set keyedReference vector
`int` | `size()` Return current size of the collection.

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### CategoryBag

    public CategoryBag()

  Default constructor.

### CategoryBag

    public CategoryBag(org.w3c.dom.Element base)
                throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct an object from a received UDDI message.

Parameters:
  `base` - Element with the name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or a disposition report indicating a UDDI error.

Method Detail

### setKeyedReferenceVector

    public void setKeyedReferenceVector(java.util.Vector s)

  Set keyedReference vector

  Parameters:
    `s` - Vector of KeyedReference objects.

### getKeyedReferenceVector

    public java.util.Vector getKeyedReferenceVector()

  Get keyedReference

  Returns:
    s Vector of KeyedReference objects.

### add

    public void add(KeyedReference kr)

  Add a keyed reference to this collection

  Parameters:
    `kr` - KeyedReference

### remove

    public boolean remove(KeyedReference kr)

  Remove the specified object from the collection.

  Parameters:
    `kr` - Keyed reference to remove
  Returns:
    True if object was removed, false if it was not found in the collection.

### get

    public KeyedReference get(int index)

  Retrieve the object at the specified index within the collection.

  Parameters:
    `index` -
  Returns:
    KeyedReference

### size

    public int size()

  Return current size of the collection.

  Returns:
    int

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save an object to the DOM tree. Used to serialize an object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.